<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

function get_post($str,$text){
    return strpos($text, $str);
}

function parse_data($str){
    $tmp2 = explode('=>', $str);
    if(count($tmp2)>1)
        return $tmp2[1];
    else
        return '';
}
function parse_command($cmd,$first_cut,$second_key){
    $tmp = explode('::', $cmd);
    if(count($tmp)!=4)
        return '';
    $command_data = array(
        'first_cut' => $first_cut,
        'column' => parse_data(trim($tmp[0])),
        'table' => parse_data(trim($tmp[1])),
        'style' => parse_data(trim($tmp[2])),
        'where' => parse_data(trim($tmp[3])),
        'last_cut' => $second_key,
        );
    return $command_data;
}
 
function get_data($idperkara, $cmd){
    $cmd['where'] = str_replace('@perkara_id', ' perkara_id = '.$idperkara.' ', $cmd['where']);
    $sql = 'SELECT '.$cmd['column'].' AS data FROM '.$cmd['table'].' WHERE '.$cmd['where'].' perkara_id = '.$idperkara;
    $modelClass=& get_instance();
    $modelClass->load->model('generate_template/m_template_tun_perlawanan','model_template');
    $data = $modelClass->model_template->fetch_data($sql);
    return $data;
}

function write_to_doc($command,$info,$content){
    return str_replace($command,$info,$content);
}

function parse_doc_tag($re2,$re9,$txt){
  $re1='(\\[)'; $re3='(\\])'; $re4='.*?';  
  $re5='((?:[a-z][a-z]+))'; $re6='.*?'; $re7='(\\[)';
  $re8='(\\/)'; $re10='(\\])';
  if ($c=preg_match_all ("/".$re1.$re2.$re3.$re4.$re5.$re6.$re7.$re8.$re9.$re10."/is", $txt, $matches)){
      return $matches[0][0];
  }else{
    return FALSE;
  }
}

function cleanHtmlTag($text){
    $text = filter_var($text, FILTER_SANITIZE_STRING);
    return $text;
}


$namafile=$template;
$url = base_url("resources/template/penetapan/perdata_tun/".$template.".rtf");

$Template = file_get_contents($url);

$namasatker = '';
$alamatsatker = '';

# calling model class#
global $modelClass;
$modelClass=& get_instance();
$modelClass->load->model('generate_template/m_template_tun_perlawanan','model_template');

# get data pengadilan#
$datapengadilan = $modelClass->model_template->getDataPN($idperkara);
foreach ($datapengadilan->result() as $row) {
    $namasatker = $this->templatehelper->standradnaming($row->NamaPN);
    $alamatsatker = $row->AlamatPN;
    $namaketua=$this->templatehelper->standradnaming($row->KetuaPNNama);
    $namawakil=$this->templatehelper->standradnaming($row->WakilKetuaPNNama);
    $pansek=$this->templatehelper->standradnaming($row->PansekPNNama);
    $wapan=$this->templatehelper->standradnaming($row->WaPanNama);
    $namakota = str_replace("Pengadilan Tata Usaha Negara ",'',$namasatker);
    $kodepn = $row->KodePN;
    $namapt = $this->templatehelper->standradnaming($row->NamaPT);
}

#get data panitera perkara
$dataperkarapp = $modelClass->model_template->getPaniteraPkr($idperkara);
foreach ($dataperkarapp->result() as $row) {
    $namapanitera = $this->templatehelper->standradnaming($row->panitera_nama);
}

#get nomor perkara
$dataperkara = $modelClass->model_template->getDataPerkara($idperkara);
foreach ($dataperkara->result() as $row) {
    $nomorpkr = $row->nomor_perkara;
    $tglSuratGugatan = $this->templatehelper->convertKeTglIndo($row->tanggal_surat);
    $tgl_pendaftaran = $this->templatehelper->convertKeTglIndo($row->tanggal_pendaftaran);
    $positaNpetitum = $this->templatehelper->cleanHtmlTag($row->petitum);
}

#get penetapan hakim
$datapenetapanhakim = $modelClass->model_template->getPenetapanHakim($idperkara);
foreach ($datapenetapanhakim->result() as $row) {
    if(($row->urutan)==1){
        $HakimKetua = $this->templatehelper->standradnaming($row->hakim_nama);
    }elseif(($row->urutan)==2){
        $hakimAnggota1 = $this->templatehelper->standradnaming($row->hakim_nama);
    }elseif(($row->urutan)==3){
        $hakimAnggota2 = $this->templatehelper->standradnaming($row->hakim_nama);
    }    
    $tglpenetapan = $this->templatehelper->convertKeTglIndo($row->tanggal_penetapan);
    $jenisacara = $row->jenis_acara;
    $tglpenetpansidangpertama = $this->templatehelper->convertKeTglIndo($row->penetapan_hari_sidang);
    $tglsidangpertama = $this->templatehelper->convertKeTglIndo($row->sidang_pertama);
    $harisidangpertama = $this->templatehelper->getHari($row->sidang_pertama);
    $jamsidangpertama = $row->jam_sidang;
}

$dataputusan = $modelClass->model_template->getDataPutusan($idperkara);
foreach ($dataputusan->result() as $row) {
    $amar_putusan = $row->amar_putusan;
    $tanggal_putusan = $this->templatehelper->convertKeTglIndo($row->tanggal_putusan);
}

$datapersiapan = $modelClass->model_template->getDataPanggilanPersiapan($idperkara);
foreach ($datapersiapan->result() as $row) {    
    $tgl_penetapan_persiapan = $this->templatehelper->convertKeTglIndo($row->tanggal_penetapan_persiapan);
}

if($options==1){
    $ttd_jabatan = 'Ketua';
    $ttd_nama = $namaketua;
}elseif($options==2){
    $ttd_jabatan = 'Wakil Ketua';
    $ttd_nama = $namawakil;
}elseif($options==3){
    $ttd_jabatan = 'Panitera';
    $ttd_nama = $pansek;
}elseif($options==4){
    $ttd_jabatan = 'Wakil Panitera';
    $ttd_nama = $wapan;
}else{
    $ttd_jabatan = '.......';
    $ttd_nama = '..........';
}
if(empty($namasatker)){
    $namasatker = '........';
}

if(empty($alamatsatker)){
    $alamatsatker = '........';
}

if(empty($namakota)){
    $namakota = '........';
}

if(empty($namaketua)){
    $namaketua = '........';
}

if(empty($pansek)){
    $pansek = '........';
}

if(empty($wapan)){
    $wapan = '........';
}

if(empty($kodepn)){
    $kodepn = '........';
}

if(empty($namapanitera)){
    $namapanitera = '........';
}

if(empty($nomorpkr)){
    $nomorpkr = '........';
}

if(empty($tgl_pendaftaran)){
    $tgl_pendaftaran = '........';
}

if(empty($amar_putusan)){
    $amar_putusan = '........';
}

if(empty($tanggal_putusan)){
    $tanggal_putusan = '........';
}

if(empty($tanggal_penetapan)){
    $tanggal_penetapan = '........';
}
if(empty($tgl_penetapan_persiapan)){
    $tgl_penetapan_persiapan = '........';
}
if(empty($namapt)){
    $namapt = '........';
}

if(empty($tglSuratGugatan)){
    $tglSuratGugatan = '........';
}
if(empty($positaNpetitum)){
    $positaNpetitum = '..............................................';
}
if(empty($HakimKetua)){
    $HakimKetua = '........';
}
if(empty($hakimAnggota1)){
    $hakimAnggota1 = '........';
}
if(empty($hakimAnggota2)){
    $hakimAnggota2 = '........';
}
if(empty($tglpenetapan)){
    $tglpenetapan = '........';
}
if(empty($jenisacara)){
    $jenisacara = '........';
}
if(empty($tglpenetpansidangpertama)){
    $tglpenetpansidangpertama = '........';
}
if(empty($tglsidangpertama)){
    $tglsidangpertama = '........';
}
if(empty($harisidangpertama)){
    $harisidangpertama = '........';
}
if(empty($jamsidangpertama)){
    $jamsidangpertama = '........';
}


/* End inisiasi pengadilan*/

/* Inisisasi Data Pihak */
if(!empty($idpihak)){
    $nama_pihak         = '......................';
    $tanggal_lahir      = '......................';
    $tempat_lahir       = '......................';
    $jenis_kelamin      = '......................';
    $alamat_pihak       = '......................';
    $pekerjaan_pihak    = '......................';
    $warganegara_pihak  = '......................';
    $telepon_pihak      = '......................';
    $email_pihak        = '......................';
    $datapihak          = $modelClass->model_template->getDataPihak($idpihak);
    $solopihak='';
    if($datapihak->num_rows>0){
        foreach ($datapihak->result() as $row) {
            $nama_pihak = $row->nama;
            $tanggal_lahir = $row->tanggal_lahir;
            $tempat_lahir = $row->tempat_lahir;
            $jenis_kelamin = ($row->jenis_kelamin=='L')? 'Laki-Laki':'Perempuan';
            $alamat_pihak = $row->alamat;
            $pekerjaan_pihak = $row->pekerjaan;
            $warganegara = $row->warganegara_text;
            $telepon = $row->telepon;
            $email = $row->email;
            if($row->jenis_pihak_id==1){
                $solopihak .= "Nama \t:\t ".$this->templatehelper->standradnaming($row->nama)." \\par ";
                $solopihak .= "Kewarganegaraan \t:\t Indonesia \\par ";
                $solopihak .= "Tempat Tinggal \t:\t ".$row->alamat." \\par ";
                $solopihak .= "Pekerjaan \t:\t ".$row->pekerjaan." \\par \t \t ";
            }elseif($row->jenis_pihak_id==2 OR $row->jenis_pihak_id==3 OR $row->jenis_pihak_id==4){
                $solopihak .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($row->nama)." \\par ";               
                $solopihak .= "Tempat Kedudukan \t:\t ".$row->alamat." \\par \t \t ";
            }            
        }
    }

    $Template = str_replace("#nama_pihak#",$nama_pihak,$Template);
    $Template = str_replace("#tanggal_lahir#",$tanggal_lahir,$Template);
    $Template = str_replace("#tempat_lahir#",$tempat_lahir,$Template);
    $Template = str_replace("#jenis_kelamin#",$jenis_kelamin,$Template);
    $Template = str_replace("#alamat_pihak#",$alamat_pihak,$Template);
    $Template = str_replace("#pekerjaan_pihak#",$pekerjaan_pihak,$Template);
    $Template = str_replace("#warganegara_pihak#",$warganegara_pihak,$Template);
    $Template = str_replace("#telepon_pihak#",$telepon_pihak,$Template);
    $Template = str_replace("#email_pihak#",$email_pihak,$Template);

    $Template = str_replace("#solopihak#",$solopihak,$Template);
}



$missing_id_counter = 0;
for ($i=1; $i < 1000; $i++) { 
    if($i<10){
        $first_key = '(000'.$i.')';
        $second_key = '(000'.$i.')';
        $first_braket = '[000'.$i.']';
        $second_braket = '[/000'.$i.']';
    }elseif($i>=10 AND $i<100){
        $first_key = '(00'.$i.')';
        $second_key = '(00'.$i.')';
        $first_braket = '[00'.$i.']';
        $second_braket = '[/00'.$i.']';
    }

    $command = parse_doc_tag($first_key,$second_key,$Template);
    if($command==FALSE){
        $missing_id_counter++;
    }else{
        $command = str_replace($first_braket, '', $command);
        $command = str_replace($second_braket, '', $command);
        $command = preg_replace("/(\{.*\})|}|(\\\S+)/", "", $command);
        $command = str_replace('\\hich', '', $command);
        $command = str_replace('\\af1', '', $command);
        $command = str_replace('\\dbch1', '', $command);
        $command = str_replace('\\f1', '', $command);
        $command = str_replace('\\loch', '', $command);
        $command = str_replace('\\n', '', $command);
        $command = str_replace('\\r', '', $command);
        //$command = cleanHtmlTag($command);
        $command_to_replace = $first_braket.$command.$second_braket;
        
        $cmd_query = parse_command($command,$first_braket,$second_braket);
        if(!empty($cmd_query)){
            $info = get_data($idperkara, $cmd_query);
            $info = cleanHtmlTag($info);
            if(trim($cmd_query['style'])=='date'){
                $info = $this->templatehelper->convertKeTglIndo($info);
            }
            if(trim($cmd_query['style'])=='days'){
                $info = $this->templatehelper->getHari($info);
            }
            if(trim($cmd_query['style'])=='time'){
                $info = substr($info, 0,5);
            }
            if(trim($cmd_query['style'])=='nominal'){
                $info = number_format(strval($info),2,",",".");
            }
            if(trim($cmd_query['style'])=='nominal_angka'){
                $info = $this->templatehelper->Terbilang($info);
            }
            $Template = write_to_doc($command_to_replace,$info,$Template);
        }else{
            echo "ERROR, Syntax Not Found!!!";
            exit();
        }
    }
    
    if($missing_id_counter==10){
        break;
    }
    
}
$nomorperkara = $namasatker;
# {{ some_html|striptags }}

/*$akta="PEN-PP ";
$nomorperkarabaru=substr_replace($nomorpkr, $akta, strpos($nomorperkara,'G'), 0);*/
$nomorperkarabaru           = str_replace('/G/', '/PEN-PP/', $nomorpkr);
$nomorperlawanan            = str_replace('/G/', '/PEN-HS/PLW/', $nomorpkr);
$nomorpenetapanperlawanan   = str_replace('/G/', '/PEN-MH/PLW/', $nomorpkr);
$nomoreksekusi              = str_replace('/G/', '/PEN-EKS/', $nomorpkr);
$nomordismissal             = str_replace('/G/', '/PEN-DIS/', $nomorpkr);
$nomorpenetapanmajelis      = str_replace('/G/', '/PEN-MH/', $nomorpkr);
$nomorsidangpertama         = str_replace('/G/', '/PEN-HS/', $nomorpkr);
$Template = str_replace("#nomorperkarabaru#",''.$nomorperkarabaru.'',$Template);
$Template = str_replace("#nomordismissal#",''.$nomordismissal.'',$Template);

$Template = str_replace("#ketua_pengadilan#",$namaketua,$Template);
$Template = str_replace("#wakil_ketua_pengadilan#",$namaketua,$Template);
$Template = str_replace("#namapengadilan#",$namasatker,$Template);
$Template = str_replace('#nama_kota#',$namakota,$Template);
$Template = str_replace('#alamat_satker#',$alamatsatker,$Template);
$Template = str_replace('#kodepn#',$kodepn,$Template);
$Template = str_replace('#ttd_jabatan#',$ttd_jabatan,$Template);
$Template = str_replace('#ttd_nama#',$ttd_nama,$Template);
$Template = str_replace('#namapanitera#',$namapanitera,$Template);

$Template = str_replace('#nomorpkr#',$nomorpkr,$Template);
$Template = str_replace('#nomorpenetapanmajelis#',$nomorpenetapanmajelis,$Template);
$Template = str_replace('#nomorsidangpertama#',$nomorsidangpertama,$Template);
$Template = str_replace('#nomorperlawanan#',$nomorperlawanan,$Template);
$Template = str_replace('#nomorpenetapanperlawanan#',$nomorpenetapanperlawanan,$Template);
$Template = str_replace('#nomoreksekusi#',$nomoreksekusi,$Template);

$Template = str_replace('#namapt#',$namapt,$Template);
$Template = str_replace('#tgl_pendaftaran#',$tgl_pendaftaran,$Template);
$current_date = $this->templatehelper->convertKeTglIndo(date('Y-m-d'));
$hari_sekarang = $this->templatehelper->getHari(date('Y-m-d'));
$Template = str_replace('#tanggal_sekarang#',$current_date,$Template);
$Template = str_replace('#hari_sekarang#',$hari_sekarang,$Template);
$Template = str_replace('#amar_putusan#',$amar_putusan,$Template);
$Template = str_replace('#tanggal_putusan#',$tanggal_putusan,$Template);

$Template = str_replace('#tglSuratGugatan#',$tglSuratGugatan,$Template);
$Template = str_replace('#positaNpetitum#',$positaNpetitum,$Template);

$Template = str_replace('#HakimKetua#',$HakimKetua,$Template);
$Template = str_replace('#hakimAnggota1#',$hakimAnggota1,$Template);
$Template = str_replace('#hakimAnggota2#',$hakimAnggota2,$Template);
$Template = str_replace('#tglpenetapan#',$tglpenetapan,$Template);
$Template = str_replace('#jenisacara#',$jenisacara,$Template);
$Template = str_replace('#tglpenetpansidangpertama#',$tglpenetpansidangpertama,$Template);
$Template = str_replace('#tglsidangpertama#',$tglsidangpertama,$Template);
$Template = str_replace('#harisidangpertama#',$harisidangpertama,$Template);
$Template = str_replace('#jamsidangpertama#',$jamsidangpertama,$Template);

#datajadwalsidang
if(!empty($idjadwal)){
    $datajadwalsidang = $modelClass->model_template->getDataJadwalSidang($idperkara,$idjadwal);
    foreach ($datajadwalsidang->result() as $row) {
        $harijadwalsidang   = $this->templatehelper->getHari($row->tanggal_sidang);
        $tgljadwalsidang    = $this->templatehelper->convertKeTglIndo($row->tanggal_sidang);
        $jamjadwalsidang    = $row->jam_sidang;
        $ruanganjadwalsidang = $row->ruangan;
        $agendajadwalsidang = $row->agenda;
    }
    if(empty($ruanganjadwalsidang)){$ruanganjadwalsidang = '..............';}
    $Template = str_replace('#harijadwalsidang#',$harijadwalsidang,$Template);
    $Template = str_replace('#tgljadwalsidang#',$tgljadwalsidang,$Template);
    $Template = str_replace('#jamjadwalsidang#',$jamjadwalsidang,$Template);
    $Template = str_replace('#ruanganjadwalsidang#',$ruanganjadwalsidang,$Template);
    $Template = str_replace('#agendajadwalsidang#',$agendajadwalsidang,$Template);
}

#Data Dismissal
$datadismissal = $modelClass->model_template->getDataDismissal($idperkara);
if(!empty($datadismissal)){
    foreach ($datadismissal->result() as $row) {
        $amar = $row->amar;
        $tglpenetapanDismissal = $this->templatehelper->convertKeTglIndo($row->tanggal_penetapan);
        $haripenetapanDismissal = $this->templatehelper->getHari($row->tanggal_penetapan);
        $hasil = $row->hasil;
        $tglPanggilanDismissal = $this->templatehelper->convertKeTglIndo($row->tanggal_panggilan);
        $tglPemberitahuanPenggugat = $this->templatehelper->convertKeTglIndo($row->pemberitahuan_penggugat);
        $tglPemberitahuanTergugat = $this->templatehelper->convertKeTglIndo($row->pemberitahuan_tergugat);
    }
    if(empty($tglPemberitahuanPenggugat)){$tglPemberitahuanPenggugat = '........';}
    if(empty($tglPemberitahuanTergugat)){$tglPemberitahuanTergugat = '........';}
    if(empty($tglPanggilanDismissal)){$tglPanggilanDismissal = '........';}
    if(empty($haripenetapanDismissal)){$haripenetapanDismissal = '........';}
    if(empty($tglpenetapanDismissal)){$tglpenetapanDismissal = '........';}
    if(empty($amar)){$amar = '........';}
    if(empty($hasil)){$hasil = '........';}
    $Template = str_replace('#tglpenetapanDismissal#',$tglpenetapanDismissal,$Template);
    $Template = str_replace('#haripenetapanDismissal#',$haripenetapanDismissal,$Template);
    $Template = str_replace('#amar#',$this->templatehelper->cleanHtmlTag($amar),$Template);
    $Template = str_replace('#hasil#',$hasil,$Template);
    $Template = str_replace('#tglPemberitahuanPenggugat#',$tglPemberitahuanPenggugat,$Template);
    $Template = str_replace('#hariPemberitahuanPenggugat#',$this->templatehelper->getHari($tglPemberitahuanPenggugat),$Template);
    $Template = str_replace('#tglPemberitahuanTergugat#',$tglPemberitahuanTergugat,$Template);
    $Template = str_replace('#hariPemberitahuanTergugat#',$this->templatehelper->getHari($tglPemberitahuanTergugat),$Template);
    $Template = str_replace('#tglPanggilanDismissal#',$tglPanggilanDismissal,$Template);

}

#Data Biaya
$databiaya = $modelClass->model_template->getBiayaPerkara($idperkara);
$biaya = $databiaya->result();
if(!empty($biaya)){
    foreach ($databiaya->result() as $row) {    
        $biayaperkara = $row->biaya;
    }
    //$angkabiaya = number_format(strval($biayaperkara),2,",",".");
    $Template = str_replace('#biayaperkara#',$biayaperkara,$Template);
}

#Penetapan Persiapan 
$Template = str_replace('#tgl_penetapan_persiapan#',$tgl_penetapan_persiapan,$Template);
//$current_date = $this->templatehelper->getHari(day(''));
//$Template = str_replace('#hari_sekarang#',$current_day,$Template);

#perlawanan
$dataPerlawanan = $modelClass->model_template->getDataPerlawanan($idperkara);
$tgl_surat = '';
$tgl_daftar_verzet = '';
$tgl_penetapan_majelis = '';
$tanggal_sidang_pertama_verzet = '';
$hari_sidang_pertama_verzet = '';
$tanggal_penetapan_sidang_verzet = '';
$ketuamajelis = '';
foreach ($dataPerlawanan->result() as $row) {
    $tgl_surat = $this->templatehelper->convertKeTglIndo($row->tanggal_surat);
    $tgl_daftar_verzet = $this->templatehelper->convertKeTglIndo($row->tanggal_pendaftaran_verzet);
    $tgl_penetapan_majelis = $this->templatehelper->convertKeTglIndo($row->penetapan_majelis_hakim);
    $tanggal_sidang_pertama_verzet = $this->templatehelper->convertKeTglIndo($row->tanggal_sidang_pertama_verzet);
    $hari_sidang_pertama_verzet = $this->templatehelper->getHari($row->tanggal_sidang_pertama_verzet);
    $tanggal_penetapan_sidang_verzet = $this->templatehelper->convertKeTglIndo($row->tanggal_penetapan_sidang_verzet);
    $ketuamajelis = $this->templatehelper->standradnaming($row->ketuamajelis);
}
$Template = str_replace('#tgl_surat#',$tgl_surat,$Template);
$Template = str_replace('#tgl_daftar_verzet#',$tgl_daftar_verzet,$Template);
$Template = str_replace('#tgl_penetapan_majelis#',$tgl_penetapan_majelis,$Template);
$Template = str_replace('#tanggal_penetapan_sidang_verzet#',$tanggal_penetapan_sidang_verzet,$Template);
$Template = str_replace('#tanggal_sidang_pertama_verzet#',$tanggal_sidang_pertama_verzet,$Template);
$Template = str_replace('#hari_sidang_pertama_verzet#',$hari_sidang_pertama_verzet,$Template);
$Template = str_replace('#ketuamajelis#',$ketuamajelis,$Template);

#Kuasa Penggugat
$infoKuasaP = $modelClass->model_template->getKuasaHukumP($idperkara);
$jmlpihak = $infoKuasaP->num_rows;
$dataKuasa = "";
if(!empty($jmlpihak)){
    foreach ($infoKuasaP->result() as $row) {    
        $dataKuasa .= " dalam hal ini diwakili oleh kuasanya: ".$this->templatehelper->standradnaming($row->nama).", kewarganegaraan Indonesia, ";
        $dataKuasa .= " pekerjaan ".$row->pekerjaan.", beralamat di ".$row->alamat." berdasarkan Surat Kuasa Khusus tanggal ".$this->templatehelper->convertKeTglIndo($row->aktif_mulai);        
        $namakuasapenggugat         = $this->templatehelper->standradnaming($row->nama);
		$nomorkuasapenggugat        = $row->nomor_kuasa; 
		$tanggalkuasapenggugat      = $row->tanggal_kuasa; 
        $alamatkuasapenggugat       = $row->alamat;
        $pekerjaankausapenggugat    = $row->pekerjaan;
        $tglkuasapenggugat          = $this->templatehelper->convertKeTglIndo($row->aktif_mulai);
    }
    $Template = str_replace('#kuasa_penggugat#',''.$dataKuasa.'',$Template);
    $Template = str_replace('#namakuasapenggugat#',''.$namakuasapenggugat.'',$Template);
	$Template = str_replace('#nomorkuasapenggugat#',''.$nomorkuasapenggugat.'',$Template);
	$Template = str_replace('#tanggalkuasapenggugat#',''.$tanggalkuasapenggugat.'',$Template);
    $Template = str_replace('#alamatkuasapenggugat#',''.$alamatkuasapenggugat.'',$Template);
    $Template = str_replace('#pekerjaankausapenggugat#',''.$pekerjaankausapenggugat.'',$Template);
    $Template = str_replace('#tglkuasapenggugat#',''.$tglkuasapenggugat.'',$Template);
}


#looping partis pihak
$dataPihakP = "";
$pihakPenggugat = "";
$i = 0;
$datapihakpenggugat = $modelClass->model_template->getPihakPenggugat($idperkara);
$jmlpihak = $datapihakpenggugat->num_rows;
if(!empty($datapihakpenggugat)){
        foreach ($datapihakpenggugat->result() as $rows) { 
            if(($rows->info)==1){
                $urutan = $rows->urutan;          
                $dataPihakP .= " \b ".$this->templatehelper->standradnaming($rows->nama).", \b0 Warga Negara Indonesia, Pekerjaan ".$rows->pekerjaan.", ";
                $dataPihakP .= "Tempat Tinggal di ".$rows->alamat.", ";                                       
                $dataPihakP .= "untuk selanjutnya disebut sebagai \b PENGGUGAT ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 ; \\par ";                                                    
                $pihakPenggugat .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $pihakPenggugat .= "Kewarganegaraan \t:\t Indonesia \\par ";
                $pihakPenggugat .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";
                $pihakPenggugat .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
                $pihakPenggugat .= " \t \t Sebagai \b Penggugat ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 \\par ";
            }elseif(($rows->info)==2 OR ($rows->info)==3 OR ($rows->info)==4) {
                $urutan = $rows->urutan;          
                $dataPihakP .= " \b ".$this->templatehelper->standradnaming($rows->nama).", \b0 ";
                $dataPihakP .= " Tempat Kedudukan di ".$rows->alamat.", ";                                       
                $dataPihakP .= "untuk selanjutnya disebut sebagai \b PENGGUGAT ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 ; \\par ";                                                    
                $pihakPenggugat .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $pihakPenggugat .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par ";
                $pihakPenggugat .= " \t \t Sebagai \b Penggugat ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 \\par ";
            }
            $i++;
            if(($rows->urutan)==1){
                $namapenggugat      = $this->templatehelper->standradnaming($rows->nama);
                $alamatpenggugat    = $rows->alamat;  
                $pekerjaanpenggugat = $rows->pekerjaan;
            }                              
        }
}
$Template = str_replace('#pihak_penggugat#',''.$dataPihakP.'',$Template);
$Template = str_replace('#pihakPenggugat#',''.$pihakPenggugat.'',$Template);

$Template = str_replace('#namapenggugat#',''.$namapenggugat.'',$Template);
$Template = str_replace('#alamatpenggugat#',''.$alamatpenggugat.'',$Template);
$Template = str_replace('#pekerjaanpenggugat#',''.$pekerjaanpenggugat.'',$Template);

$dataPihakIP = "";
$pihakIntervensi = "";
$i = 0;
$datapihakintervensipenggugat = $modelClass->model_template->getPihakIntervensiPenggugat($idperkara);
$jmlpihak = $datapihakintervensipenggugat->num_rows;
if(!empty($datapihakintervensipenggugat)){
        foreach ($datapihakintervensipenggugat->result() as $rows) { 
            if(($rows->info)==1){             
                $urutan = $rows->urutan;          
                $dataPihakIP .= " \b ".$this->templatehelper->standradnaming($rows->nama).", \b0 Warga Negara Indonesia, Pekerjaan ".$rows->pekerjaan.", ";
                $dataPihakIP .= "Tempat Tinggal di ".$rows->alamat.", ";                                       
                $dataPihakIP .= "untuk selanjutnya disebut sebagai \b INTERVENSI ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 ; \\par ";                                                    
                $pihakIntervensi .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $pihakIntervensi .= "Kewarganegaraan \t:\t Indonesia \\par ";
                $pihakIntervensi .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";
                $pihakIntervensi .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
                $pihakIntervensi .= " \t \t Sebagai \b Intervensi ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 \\par ";
            }elseif(($rows->info)==2 OR ($rows->info)==3 OR ($rows->info)==4){
                $urutan = $rows->urutan;          
                $dataPihakIP .= " \b ".$this->templatehelper->standradnaming($rows->nama).", \b0 ";
                $dataPihakIP .= " Tempat Kedudukan di ".$rows->alamat.", ";                                       
                $dataPihakIP .= "untuk selanjutnya disebut sebagai \b INTERVENSI ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 ; \\par ";
                $pihakIntervensi .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $pihakIntervensi .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par ";
                $pihakIntervensi .= " \t \t Sebagai \b Intervensi ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 \\par ";
            }
            $i++;
        }
}
$Template = str_replace('#pihak_intervensi_p#',''.$dataPihakIP.'',$Template);
$Template = str_replace('#pihakIntervensi#',''.$pihakIntervensi.'',$Template);

$dataPihakT = "";
$pihakTergugat = "";
$i = 0;
$datapihaktergugat = $modelClass->model_template->getPihakTergugat($idperkara);
$jmlpihak = $datapihaktergugat->num_rows;
if(!empty($datapihaktergugat)){
        foreach ($datapihaktergugat->result() as $rows) {  
            if(($rows->info)==1){           
                $urutan = $rows->urutan;          
                $dataPihakT .= " \b ".$this->templatehelper->standradnaming($rows->nama).", \b0 Warga Negara Indonesia, Pekerjaan ".$rows->pekerjaan.", ";
                $dataPihakT .= "Tempat Tinggal di ".$rows->alamat.", ";                                       
                $dataPihakT .= "untuk selanjutnya disebut sebagai \b TERGUGAT ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 ; \\par "; 
                $pihakTergugat .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $pihakTergugat .= "Kewarganegaraan \t:\t Indonesia \\par ";
                $pihakTergugat .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";
                $pihakTergugat .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
                $pihakTergugat .= " \t \t Sebagai \b Tergugat ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 \\par ";
            }elseif(($rows->info)==2 OR ($rows->info)==3 OR ($rows->info)==4){
                $urutan = $rows->urutan;          
                $dataPihakT .= " \b ".$this->templatehelper->standradnaming($rows->nama).", \b0 ";
                $dataPihakT .= " Tempat Kedudukan di ".$rows->alamat.", ";                                       
                $dataPihakT .= "untuk selanjutnya disebut sebagai \b TERGUGAT ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 ; \\par "; 
                $pihakTergugat .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $pihakTergugat .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par ";
                $pihakTergugat .= " \t \t Sebagai \b Tergugat ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 \\par ";
            }
            $i++;                                                  
        }
}
$Template = str_replace('#pihak_tergugat#',''.$dataPihakT.'',$Template);
$Template = str_replace('#pihakTergugat#',''.$pihakTergugat.'',$Template);

$dataPihakIT = "";
$i = 0;
$datapihakintervensitergugat = $modelClass->model_template->getPihakIntervensiTergugat($idperkara);
$jmlpihak = $datapihakintervensitergugat->num_rows;
if(!empty($datapihakintervensitergugat)){
        foreach ($datapihakintervensitergugat->result() as $rows) { 
            if(($rows->info)==1){
                $urutan = $rows->urutan;          
                $dataPihakIT .= " \b ".$this->templatehelper->standradnaming($rows->nama).", \b0 Warga Negara Indonesia, Pekerjaan ".$rows->pekerjaan.", ";
                $dataPihakIT .= "Tempat Tinggal di ".$rows->alamat.", ";                                       
                $dataPihakIT .= "untuk selanjutnya disebut sebagai \b INTERVENSI ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 ; \\par ";                                    
            }elseif(($rows->info)==2){
                $urutan = $rows->urutan;          
                $dataPihakIT .= " \b ".$this->templatehelper->standradnaming($rows->nama).", \b0 ";
                $dataPihakIT .= " Tempat Kedudukan di ".$rows->alamat.", ";                                       
                $dataPihakIT .= "untuk selanjutnya disebut sebagai \b INTERVENSI ".($jmlpihak>1 ? $this->templatehelper->converToAngkaRomawi($rows->urutan) : '')." \b0 ; \\par ";                                    
            }
            $i++;
        }
}
$Template = str_replace('#pihak_intervensi_t#',''.$dataPihakIT.'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;

?> 